Subject: Re: linux-next: build failure after merge of the battery tree

From: Mark Brown <[email-masked]>
Date: Mon, 9 Jan 2012 23:53:18 +0000

On Mon, Jan 09, 2012 at 05:10:37PM +0400, Anton Vorontsov wrote:
> On Mon, Jan 09, 2012 at 01:59:29PM +0530, Ashish Jangam wrote:

> > > Caused by commit ded7fc7b0550 ("power_supply: Add DA9052 battery driver").

> > > The commit message says "This driver depends on DA9052 MFD core dirver for definitions and methods".  That core is presumably still pending inclusion.

> Well, it is in the MFD tree already, otherwise allmodconfig would not
> be able to select this driver.

It didn't actually go in via the MFD tree, it went in via regmap, but
same difference.

> > > I have used the battery tree from next-20120104 for today.
> > This patch depends upon Da9052/53 MFD core and also on one of its incremental patch for ADC that got these functions definitions. Below is that patch.
> > We had already posted this patch.

> So, this patch should go via MFD tree asap. Otherwise, I'll have to
> disable this driver by making it depend on 'broken' in Kconfig.

The regmap tree has already been merged by Linus which makes things a
bit tricky, it'd probably need to wait for -rc1 for Samuel to send it
givne that Linus was saying he really wanted everything to have been in
-next before the merge window.